Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.TransferableTreeNode

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.TransferableTreeNode

All Implemented Interfaces:
  Transferable

Enclosing class:
  DOMDocumentTree

    public static class DOMDocumentTree.TransferableTreeNode

extends Object
implements Transferable

Transferable tree node.

Field Summary
`protected DOMDocumentTree.TransferData` | `data` The data being transfered.
`protected static DataFlavor[]` | `FLAVORS` The supported flavors.
`protected static DataFlavor` | `NODE_FLAVOR` A flavor that supports the node transfer.

Constructor Summary
`DOMDocumentTree.TransferableTreeNode(DOMDocumentTree.TransferData data)`

Method Summary
`Object` | `getTransferData(DataFlavor flavor)` Data that is being transfered.
`DataFlavor[]` | `getTransferDataFlavors()`
`boolean` | `isDataFlavorSupported(DataFlavor flavor)` Checks if the given date flavor is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_FLAVOR

    protected static final DataFlavor NODE_FLAVOR

  A flavor that supports the node transfer.

### FLAVORS

    protected static final DataFlavor[] FLAVORS

  The supported flavors.

### data

    protected DOMDocumentTree.TransferData data

  The data being transfered.

Constructor Detail

### DOMDocumentTree.TransferableTreeNode

    public DOMDocumentTree.TransferableTreeNode(DOMDocumentTree.TransferData data)

Method Detail

### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)

  Checks if the given date flavor is supported.

  Specified by:
    `isDataFlavorSupported` in interface `Transferable`
  Parameters:
    `flavor` - DataFlavor
  Returns:
    boolean

### getTransferData

    public Object getTransferData(DataFlavor flavor)

  Data that is being transfered.

  Specified by:
    `getTransferData` in interface `Transferable`
  Parameters:
    `flavor` - DataFlavor
  Returns:
    (TransferData data, String xmlString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.